#ifdef GL_ES
precision highp float;
#endif

uniform sampler2D Texture[8];
varying vec2 texCoord;

void main(void)
{
	vec4 color0 = texture2D(Texture[0], texCoord);

	vec4 color2 = color0;
	color2 += texture2D(Texture[0], texCoord+vec2(0.005, 0.0));
	color2 += texture2D(Texture[0], texCoord+vec2(-0.005, 0.0));
	color2 += texture2D(Texture[0], texCoord+vec2(0.0, 0.005));
	color2 += texture2D(Texture[0], texCoord+vec2(0.0, -0.005));
	color2 /= 5.0;

	float v0 = color0.x*0.5 + color0.y*0.5 + color0.z*0.5;
	float v2 = color2.x*0.5 + color2.y*0.5 + color2.z*0.5;

	float v = 1.0 - max(0.0, -(v2 - v0));
	v = pow(v+0.01, 4.0);

	gl_FragColor = vec4(v, v, v, 1.0);
}